<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.DDRS.Max.Laser</name>
<version>2</version>
<engineversion>32</engineversion>
<description>DDRS Max Weapon Loadout</description>
<arguments>
<argument index="1" name="Ship" type="Var/Ship" desc="Select Ship" />
<argument index="2" name="AntiFighter" type="String" desc="Include Anti-Fighter Lasers?" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Crank&#160;engine&#160;tunings&#160;to&#160;max</var></comment></line>
<line linenr="002" indent=""><var>$MaxEngine&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;max&#160;upgrades&#160;for&#160;upgrade&#160;</text><var>Engine&#160;Tuning</var></line>
<line linenr="003" indent=""><var>$EngineInstalled&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Engine&#160;Tuning</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="004" indent=""><var>$InstallAmount&#160;=&#160;</var><var>$MaxEngine</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$EngineInstalled</var></line>
<line linenr="005" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$InstallAmount</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="006" indent="&#160;"><var>=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;install&#160;</text><var>$MaxEngine</var><text>&#160;units&#160;of&#160;</text><var>Engine&#160;Tuning</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><comment><text>*&#160;</text><var>Crank&#160;rudder&#160;optimization&#160;to&#160;max</var></comment></line>
<line linenr="009" indent=""><var>$MaxRudder&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;max&#160;upgrades&#160;for&#160;upgrade&#160;</text><var>Rudder&#160;Optimisation</var></line>
<line linenr="010" indent=""><var>$RudderInstalled&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Rudder&#160;Optimisation</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="011" indent=""><var>$InstallAmount&#160;=&#160;</var><var>$MaxRudder</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$RudderInstalled</var></line>
<line linenr="012" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$InstallAmount</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="013" indent="&#160;"><var>=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;install&#160;</text><var>$MaxRudder</var><text>&#160;units&#160;of&#160;</text><var>Rudder&#160;Optimisation</var></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><comment><text>*&#160;</text><var>Expand&#160;the&#160;cargo&#160;bay&#160;to&#160;it's&#160;max&#160;size</var></comment></line>
<line linenr="016" indent=""><var>$MaxCargo&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;max&#160;upgrades&#160;for&#160;upgrade&#160;</text><var>Cargo&#160;bay&#160;extension</var></line>
<line linenr="017" indent=""><var>=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;install&#160;</text><var>$MaxCargo</var><text>&#160;units&#160;of&#160;</text><var>Cargo&#160;bay&#160;extension</var></line>
<line linenr="018" indent=""></line>
<line linenr="019" indent=""><comment><text>*&#160;</text><var>Build&#160;laser&#160;loadouts&#160;for&#160;all&#160;turrets</var></comment></line>
<line linenr="020" indent=""><var>$DDRSLoadout&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="021" indent=""><var>$numTurrets&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;number&#160;of&#160;turrets</text></line>
<line linenr="022" indent=""><var>$currTurret&#160;=&#160;</var><var>0</var></line>
<line linenr="023" indent=""><var>while&#160;</var><var>$currTurret</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$numTurrets</var></line>
<line linenr="024" indent=""><comment><text>*&#160;</text><var>Only&#160;do&#160;this&#160;if&#160;Anti-Fighter&#160;Loadout&#160;requested</var></comment></line>
<line linenr="025" indent="&#160;"><var>if&#160;</var><var>$AntiFighter</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'YES'</var></line>
<line linenr="026" interruptable="@" indent="&#160;&#160;"><var>$LaserTypeAF&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.DDRS.AF.Max.Laser.Type</call><text>&#160;:&#160;</text><text>&#160;Turret=</text><var>$currTurret</var></line>
<line linenr="027" indent="&#160;&#160;"><var>$newlaser&#160;=&#160;</var><var>[TRUE]</var></line>
<line linenr="028" indent="&#160;&#160;"><var>$size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$DDRSLoadout</var></line>
<line linenr="029" indent="&#160;&#160;"><var>if&#160;not&#160;</var><var>$size</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="030" indent="&#160;&#160;&#160;"><var>while&#160;</var><var>$size</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="031" indent="&#160;&#160;&#160;&#160;"><var>$temp&#160;=&#160;</var><var>$size</var><text>&#160;</text><var>-</var><text>&#160;</text><var>1</var></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;"><var>$test&#160;=&#160;</var><var>$DDRSLoadout</var><text>[</text><var>$temp</var><text>]</text></line>
<line linenr="033" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$test</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$LaserTypeAF</var></line>
<line linenr="034" indent="&#160;&#160;&#160;&#160;&#160;"><var>$newlaser&#160;=&#160;</var><var>[FALSE]</var></line>
<line linenr="035" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="036" indent="&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$size&#160;=&#160;</var></line>
<line linenr="037" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="038" indent="&#160;&#160;"><text>end</text></line>
<line linenr="039" indent="&#160;&#160;"><var>if&#160;</var><var>$newlaser</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[TRUE]</var></line>
<line linenr="040" indent="&#160;&#160;&#160;"><text>append&#160;</text><var>$LaserTypeAF</var><text>&#160;to&#160;array&#160;</text><var>$DDRSLoadout</var></line>
<line linenr="041" indent="&#160;&#160;&#160;"><var>$secondloop&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;number&#160;of&#160;turrets</text></line>
<line linenr="042" indent="&#160;&#160;&#160;"><var>$secondturret&#160;=&#160;</var><var>0</var></line>
<line linenr="043" indent="&#160;&#160;&#160;"><var>$totallasers&#160;=&#160;</var><var>0</var></line>
<line linenr="044" indent="&#160;&#160;&#160;"><var>while&#160;</var><var>$secondturret</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$secondloop</var><text>&#160;</text><var>-</var><text>&#160;</text><var>1</var></line>
<line linenr="045" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;fits&#160;laser&#160;</text><var>$LaserTypeAF</var><text>&#160;into&#160;turret&#160;</text><var>$secondturret</var></line>
<line linenr="046" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>$bestlaser&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.DDRS.AF.Max.Laser.Type</call><text>&#160;:&#160;</text><text>&#160;Turret=</text><var>$secondturret</var></line>
<line linenr="047" indent="&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$bestlaser</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$LaserTypeAF</var></line>
<line linenr="048" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$LaserBays&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;max.&#160;number&#160;of&#160;lasers&#160;in&#160;turret&#160;</text><var>$secondturret</var></line>
<line linenr="049" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>while&#160;</var><var>$LaserBays</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="050" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>$thislaser&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;laser&#160;type&#160;in&#160;turret&#160;</text><var>$secondturret</var><text>&#160;at&#160;slot&#160;</text><var>$LaserBays</var></line>
<line linenr="051" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$thislaser</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$bestlaser</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>null</var></line>
<line linenr="052" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>inc&#160;</text><var>$totallasers&#160;=&#160;</var></line>
<line linenr="053" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="054" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$LaserBays&#160;=&#160;</var></line>
<line linenr="055" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="056" indent="&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="057" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="058" indent="&#160;&#160;&#160;&#160;"><text>inc&#160;</text><var>$secondturret&#160;=&#160;</var></line>
<line linenr="059" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="060" indent=""><comment><text>*&#160;</text><var>Once&#160;we&#160;know&#160;how&#160;many&#160;are&#160;needed,&#160;install&#160;them</var></comment></line>
<line linenr="061" indent="&#160;&#160;&#160;"><var>$truLaser&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;true&#160;volume&#160;of&#160;ware&#160;</text><var>$LaserTypeAF</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="062" indent=""><comment>*$truLaser&#160;=&#160;$Ship&#160;-&gt;<text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text>$LaserTypeAF<text>&#160;in&#160;cargo&#160;bay</text></comment></line>
<line linenr="063" indent="&#160;&#160;&#160;"><var>$dif&#160;=&#160;</var><var>$totallasers</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$truLaser</var></line>
<line linenr="064" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$dif</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="065" indent="&#160;&#160;&#160;&#160;"><var>$AddedTo&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;install&#160;</text><var>$dif</var><text>&#160;units&#160;of&#160;</text><var>$LaserTypeAF</var></line>
<line linenr="066" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="067" indent="&#160;&#160;"><text>end</text></line>
<line linenr="068" indent="&#160;"><text>end</text></line>
<line linenr="069" indent="&#160;"></line>
<line linenr="070" indent=""><comment><text>*&#160;</text><var>&#160;Always&#160;Establish&#160;Max&#160;Loadout&#160;for&#160;Normal&#160;Combat</var></comment></line>
<line linenr="071" interruptable="@" indent="&#160;"><var>$LaserTypeNC&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.DDRS.NC.Max.Laser.Type</call><text>&#160;:&#160;</text><text>&#160;Turret=</text><var>$currTurret</var></line>
<line linenr="072" indent="&#160;"><var>$newlaser&#160;=&#160;</var><var>[TRUE]</var></line>
<line linenr="073" indent="&#160;"><var>$size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$DDRSLoadout</var></line>
<line linenr="074" indent="&#160;"><var>if&#160;not&#160;</var><var>$size</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="075" indent="&#160;&#160;"><var>while&#160;</var><var>$size</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="076" indent="&#160;&#160;&#160;"><var>$temp&#160;=&#160;</var><var>$size</var><text>&#160;</text><var>-</var><text>&#160;</text><var>1</var></line>
<line linenr="077" indent="&#160;&#160;&#160;"><var>$test&#160;=&#160;</var><var>$DDRSLoadout</var><text>[</text><var>$temp</var><text>]</text></line>
<line linenr="078" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$test</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$LaserTypeNC</var></line>
<line linenr="079" indent="&#160;&#160;&#160;&#160;"><var>$newlaser&#160;=&#160;</var><var>[FALSE]</var></line>
<line linenr="080" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="081" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$size&#160;=&#160;</var></line>
<line linenr="082" indent="&#160;&#160;"><text>end</text></line>
<line linenr="083" indent="&#160;"><text>end</text></line>
<line linenr="084" indent=""><comment><text>*&#160;</text><var>if&#160;its&#160;a&#160;new&#160;lasertype&#160;THEN&#160;we&#160;get&#160;the&#160;MAX&#160;number&#160;of&#160;lasers&#160;TOTAL</var></comment></line>
<line linenr="085" indent="&#160;"><var>if&#160;</var><var>$newlaser</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[TRUE]</var></line>
<line linenr="086" indent="&#160;&#160;"><text>append&#160;</text><var>$LaserTypeNC</var><text>&#160;to&#160;array&#160;</text><var>$DDRSLoadout</var></line>
<line linenr="087" indent="&#160;&#160;"><var>$secondloop&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;number&#160;of&#160;turrets</text></line>
<line linenr="088" indent="&#160;&#160;"><var>$secondturret&#160;=&#160;</var><var>0</var></line>
<line linenr="089" indent="&#160;&#160;"><var>$totallasers&#160;=&#160;</var><var>0</var></line>
<line linenr="090" indent="&#160;&#160;"><var>while&#160;</var><var>$secondturret</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$secondloop</var><text>&#160;</text><var>-</var><text>&#160;</text><var>1</var></line>
<line linenr="091" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;fits&#160;laser&#160;</text><var>$LaserTypeNC</var><text>&#160;into&#160;turret&#160;</text><var>$secondturret</var></line>
<line linenr="092" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>$bestlaser&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.DDRS.NC.Max.Laser.Type</call><text>&#160;:&#160;</text><text>&#160;Turret=</text><var>$secondturret</var></line>
<line linenr="093" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$bestlaser</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$LaserTypeNC</var></line>
<line linenr="094" indent="&#160;&#160;&#160;&#160;&#160;"><var>$LaserBays&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;max.&#160;number&#160;of&#160;lasers&#160;in&#160;turret&#160;</text><var>$secondturret</var></line>
<line linenr="095" indent="&#160;&#160;&#160;&#160;&#160;"><var>while&#160;</var><var>$LaserBays</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="096" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$thislaser&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;laser&#160;type&#160;in&#160;turret&#160;</text><var>$secondturret</var><text>&#160;at&#160;slot&#160;</text><var>$LaserBays</var></line>
<line linenr="097" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$thislaser</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$bestlaser</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>null</var></line>
<line linenr="098" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>inc&#160;</text><var>$totallasers&#160;=&#160;</var></line>
<line linenr="099" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="100" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$LaserBays&#160;=&#160;</var></line>
<line linenr="101" indent="&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="102" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="103" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="104" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$secondturret&#160;=&#160;</var></line>
<line linenr="105" indent="&#160;&#160;"><text>end</text></line>
<line linenr="106" indent=""><comment><text>*&#160;</text><var>once&#160;we&#160;have&#160;the&#160;MAX&#160;we&#160;can&#160;install&#160;said&#160;number</var></comment></line>
<line linenr="107" indent="&#160;&#160;"><var>$truLaser&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;true&#160;volume&#160;of&#160;ware&#160;</text><var>$LaserTypeNC</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="108" indent=""><comment>*$truLaser&#160;=&#160;$Ship&#160;-&gt;<text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text>$LaserTypeNC<text>&#160;in&#160;cargo&#160;bay</text></comment></line>
<line linenr="109" indent="&#160;&#160;"><var>$dif&#160;=&#160;</var><var>$totallasers</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$truLaser</var></line>
<line linenr="110" indent="&#160;&#160;"><var>if&#160;</var><var>$dif</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="111" indent="&#160;&#160;&#160;"><var>$AddedTo&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;install&#160;</text><var>$dif</var><text>&#160;units&#160;of&#160;</text><var>$LaserTypeNC</var></line>
<line linenr="112" indent="&#160;&#160;"><text>end</text></line>
<line linenr="113" indent="&#160;"><text>end</text></line>
<line linenr="114" indent="&#160;"><text>inc&#160;</text><var>$currTurret&#160;=&#160;</var></line>
<line linenr="115" indent=""><text>end</text></line>
<line linenr="116" indent=""></line>
<line linenr="117" indent=""><comment><text>*&#160;</text><var>If&#160;any&#160;MDs&#160;were&#160;installed,&#160;provide&#160;5&#160;crates&#160;of&#160;ammo&#160;per&#160;weapon</var></comment></line>
<line linenr="118" indent=""><var>$numMD&#160;=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;get&#160;volume&#160;of&#160;ware&#160;</text><var>Mass&#160;Driver</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="119" indent=""><var>if&#160;</var><var>$numMD</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="120" indent="&#160;"><var>$numMDAmmo&#160;=&#160;</var><var>$numMD</var><text>&#160;</text><var>*</var><text>&#160;</text><var>5</var></line>
<line linenr="121" indent="&#160;"><var>=&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;add&#160;</text><var>$numMDAmmo</var><text>&#160;units&#160;of&#160;</text><var>Mass&#160;Driver&#160;Ammunition</var></line>
<line linenr="122" indent=""><text>end</text></line>
<line linenr="123" indent=""></line>
<line linenr="124" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.DDRS.Max.Laser" /><sval type="int" val="32" /><sval type="string" val="DDRS Max Weapon Loadout" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="28"><sval type="string" val="Ship" /><sval type="string" val="AntiFighter" /><sval type="string" val="MaxEngine" /><sval type="string" val="EngineInstalled" /><sval type="string" val="InstallAmount" /><sval type="string" val="MaxRudder" /><sval type="string" val="RudderInstalled" /><sval type="string" val="MaxCargo" /><sval type="string" val="DDRSLoadout" /><sval type="string" val="numTurrets" /><sval type="string" val="currTurret" /><sval type="string" val="LaserTypeAF" /><sval type="string" val="newlaser" /><sval type="string" val="size" /><sval type="string" val="temp" /><sval type="string" val="test" /><sval type="string" val="secondloop" /><sval type="string" val="secondturret" /><sval type="string" val="totallasers" /><sval type="string" val="bestlaser" /><sval type="string" val="LaserBays" /><sval type="string" val="thislaser" /><sval type="string" val="truLaser" /><sval type="string" val="dif" /><sval type="string" val="AddedTo" /><sval type="string" val="LaserTypeNC" /><sval type="string" val="numMD" /><sval type="string" val="numMDAmmo" /></sval><sval type="array" size="90"><sval type="array" size="6"><sval type="int" val="784" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048593" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048593" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611448" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048593" /></sval><sval type="array" size="6"><sval type="int" val="784" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="int" val="9" /><sval type="int" val="1048594" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="6" /><sval type="int" val="9" /><sval type="int" val="1048594" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610168" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="9" /><sval type="int" val="1048594" /></sval><sval type="array" size="6"><sval type="int" val="784" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048592" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048592" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="556" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610590967" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599933" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="YES" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.DDRS.AF.Max.Laser.Type" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536863740" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605559" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606077" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="13" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599933" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="4"><sval type="int" val="556" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="16" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="17" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="18" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610600951" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="12" /><sval type="int" val="-3" /></sval><sval type="array" size="8"><sval type="int" val="553" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610601469" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.DDRS.AF.Max.Laser.Type" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601469" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="554" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601463" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="555" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="21" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="20" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536860156" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="18" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="20" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="38" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="17" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="33" /></sval><sval type="array" size="6"><sval type="int" val="614" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="22" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="23" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599933" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="23" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="24" /><sval type="int" val="131074" /><sval type="int" val="23" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.DDRS.NC.Max.Laser.Type" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536855292" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597111" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597629" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="13" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="54" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610591485" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="25" /></sval><sval type="array" size="4"><sval type="int" val="556" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="16" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="17" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="18" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610592503" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="12" /><sval type="int" val="-3" /></sval><sval type="array" size="8"><sval type="int" val="553" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610593021" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.DDRS.NC.Max.Laser.Type" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610593021" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="25" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="554" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="20" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610593015" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="555" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="21" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="20" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536851708" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="18" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="20" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="71" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="17" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="66" /></sval><sval type="array" size="6"><sval type="int" val="614" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="22" /><sval type="int" val="131074" /><sval type="int" val="25" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="23" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="131074" /><sval type="int" val="22" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610591485" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="23" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="24" /><sval type="int" val="131074" /><sval type="int" val="23" /><sval type="int" val="131074" /><sval type="int" val="25" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="15" /></sval><sval type="array" size="6"><sval type="int" val="613" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="26" /><sval type="int" val="9" /><sval type="int" val="524304" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610589949" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="26" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="27" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="26" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="27" /><sval type="int" val="9" /><sval type="int" val="1048618" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="Select Ship" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="string" val="Include Anti-Fighter Lasers?" /></sval></sval><sval type="array" size="41"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Crank engine tunings to max" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="5" /><sval type="int" val="1" /><sval type="string" val="Crank rudder optimization to max" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="10" /><sval type="int" val="1" /><sval type="string" val="Expand the cargo bay to it's max size" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="12" /><sval type="int" val="1" /><sval type="string" val="Build laser loadouts for all turrets" /></sval><sval type="array" size="3"><sval type="int" val="16" /><sval type="int" val="1" /><sval type="string" val="Only do this if Anti-Fighter Loadout requested" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="46" /><sval type="int" val="1" /><sval type="string" val="Once we know how many are needed, install them" /></sval><sval type="array" size="8"><sval type="int" val="47" /><sval type="int" val="3" /><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="string" val="Ship" /><sval type="string" val="truLaser" /><sval type="int" val="131074" /><sval type="string" val="LaserTypeAF" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="50" /><sval type="int" val="1" /><sval type="string" val=" Always Establish Max Loadout for Normal Combat" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="61" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="61" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="61" /><sval type="int" val="1" /><sval type="string" val="if its a new lasertype THEN we get the MAX number of lasers TOTAL" /></sval><sval type="array" size="2"><sval type="int" val="75" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="77" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="77" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="77" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="79" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="79" /><sval type="int" val="1" /><sval type="string" val="once we have the MAX we can install said number" /></sval><sval type="array" size="8"><sval type="int" val="80" /><sval type="int" val="3" /><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="string" val="Ship" /><sval type="string" val="truLaser" /><sval type="int" val="131074" /><sval type="string" val="LaserTypeNC" /></sval><sval type="array" size="2"><sval type="int" val="83" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="83" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="85" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="85" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="85" /><sval type="int" val="1" /><sval type="string" val="If any MDs were installed, provide 5 crates of ammo per weapon" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
